summary refs log tree commit diff stats
diff options
context:
space:
mode:
-rwxr-xr-xbin/touchpad_enable_tap.sh16
1 files changed, 16 insertions, 0 deletions
diff --git a/bin/touchpad_enable_tap.sh b/bin/touchpad_enable_tap.sh
new file mode 100755
index 0000000..c57a4aa
--- /dev/null
+++ b/bin/touchpad_enable_tap.sh
@@ -0,0 +1,16 @@
+#!/bin/sh
+set -eu
+
+# This enables tapping, like tap-to-click, on the Thinkpad T14s Gen2 AMD.
+# The touchpad ID changes between reboots sometimes.
+#
+# We need property 318, "Tapping Enabled".
+# Available properties viewable with:
+#       xinput list-props $TOUCHPAD_ID
+#
+# Requires:
+#       xinput, libinput
+
+TOUCHPAD_ID="$(xinput | grep Touchpad | awk '{print $6}' | cut -d'=' -f2)"
+
+/usr/bin/xinput set-prop "$TOUCHPAD_ID" 318 1